export function SparkSqlVisitor(): this;
export class SparkSqlVisitor {
    constructor: typeof SparkSqlVisitor;
    visitProgram(ctx: any): any;
    visitSingleStatement(ctx: any): any;
    visitEmptyStatement(ctx: any): any;
    visitSingleExpression(ctx: any): any;
    visitSingleTableIdentifier(ctx: any): any;
    visitSingleMultipartIdentifier(ctx: any): any;
    visitSingleDataType(ctx: any): any;
    visitSingleTableSchema(ctx: any): any;
    visitStatementDefault(ctx: any): any;
    visitDmlStatement(ctx: any): any;
    visitUse(ctx: any): any;
    visitCreateNamespace(ctx: any): any;
    visitSetNamespaceProperties(ctx: any): any;
    visitSetNamespaceLocation(ctx: any): any;
    visitDropNamespace(ctx: any): any;
    visitShowNamespaces(ctx: any): any;
    visitCreateTable(ctx: any): any;
    visitCreateHiveTable(ctx: any): any;
    visitCreateTableLike(ctx: any): any;
    visitReplaceTable(ctx: any): any;
    visitAnalyze(ctx: any): any;
    visitAddTableColumns(ctx: any): any;
    visitRenameTableColumn(ctx: any): any;
    visitDropTableColumns(ctx: any): any;
    visitRenameTable(ctx: any): any;
    visitSetTableProperties(ctx: any): any;
    visitUnsetTableProperties(ctx: any): any;
    visitAlterTableAlterColumn(ctx: any): any;
    visitHiveChangeColumn(ctx: any): any;
    visitHiveReplaceColumns(ctx: any): any;
    visitSetTableSerDe(ctx: any): any;
    visitAddTablePartition(ctx: any): any;
    visitRenameTablePartition(ctx: any): any;
    visitDropTablePartitions(ctx: any): any;
    visitSetTableLocation(ctx: any): any;
    visitRecoverPartitions(ctx: any): any;
    visitDropTable(ctx: any): any;
    visitDropView(ctx: any): any;
    visitCreateView(ctx: any): any;
    visitCreateTempViewUsing(ctx: any): any;
    visitAlterViewQuery(ctx: any): any;
    visitCreateFunction(ctx: any): any;
    visitDropFunction(ctx: any): any;
    visitExplain(ctx: any): any;
    visitShowTables(ctx: any): any;
    visitShowTable(ctx: any): any;
    visitShowTblProperties(ctx: any): any;
    visitShowColumns(ctx: any): any;
    visitShowViews(ctx: any): any;
    visitShowPartitions(ctx: any): any;
    visitShowFunctions(ctx: any): any;
    visitShowCreateTable(ctx: any): any;
    visitShowCurrentNamespace(ctx: any): any;
    visitDescribeFunction(ctx: any): any;
    visitDescribeNamespace(ctx: any): any;
    visitDescribeRelation(ctx: any): any;
    visitDescribeQuery(ctx: any): any;
    visitCommentNamespace(ctx: any): any;
    visitCommentTable(ctx: any): any;
    visitRefreshTable(ctx: any): any;
    visitRefreshFunction(ctx: any): any;
    visitRefreshResource(ctx: any): any;
    visitCacheTable(ctx: any): any;
    visitUncacheTable(ctx: any): any;
    visitClearCache(ctx: any): any;
    visitLoadData(ctx: any): any;
    visitTruncateTable(ctx: any): any;
    visitRepairTable(ctx: any): any;
    visitManageResource(ctx: any): any;
    visitFailNativeCommand(ctx: any): any;
    visitSetTimeZone(ctx: any): any;
    visitSetQuotedConfiguration(ctx: any): any;
    visitSetConfiguration(ctx: any): any;
    visitResetQuotedConfiguration(ctx: any): any;
    visitResetConfiguration(ctx: any): any;
    visitConfigKey(ctx: any): any;
    visitUnsupportedHiveNativeCommands(ctx: any): any;
    visitCreateTableHeader(ctx: any): any;
    visitReplaceTableHeader(ctx: any): any;
    visitBucketSpec(ctx: any): any;
    visitSkewSpec(ctx: any): any;
    visitLocationSpec(ctx: any): any;
    visitCommentSpec(ctx: any): any;
    visitQuery(ctx: any): any;
    visitInsertOverwriteTable(ctx: any): any;
    visitInsertIntoTable(ctx: any): any;
    visitInsertOverwriteHiveDir(ctx: any): any;
    visitInsertOverwriteDir(ctx: any): any;
    visitPartitionSpecLocation(ctx: any): any;
    visitPartitionSpec(ctx: any): any;
    visitPartitionVal(ctx: any): any;
    visitNamespace(ctx: any): any;
    visitDescribeFuncName(ctx: any): any;
    visitDescribeColName(ctx: any): any;
    visitCtes(ctx: any): any;
    visitNamedQuery(ctx: any): any;
    visitTableProvider(ctx: any): any;
    visitCreateTableClauses(ctx: any): any;
    visitTablePropertyList(ctx: any): any;
    visitTableProperty(ctx: any): any;
    visitTablePropertyKey(ctx: any): any;
    visitTablePropertyValue(ctx: any): any;
    visitConstantList(ctx: any): any;
    visitNestedConstantList(ctx: any): any;
    visitCreateFileFormat(ctx: any): any;
    visitTableFileFormat(ctx: any): any;
    visitGenericFileFormat(ctx: any): any;
    visitStorageHandler(ctx: any): any;
    visitResource(ctx: any): any;
    visitSingleInsertQuery(ctx: any): any;
    visitMultiInsertQuery(ctx: any): any;
    visitDeleteFromTable(ctx: any): any;
    visitUpdateTable(ctx: any): any;
    visitMergeIntoTable(ctx: any): any;
    visitQueryOrganization(ctx: any): any;
    visitMultiInsertQueryBody(ctx: any): any;
    visitQueryTermDefault(ctx: any): any;
    visitSetOperation(ctx: any): any;
    visitQueryPrimaryDefault(ctx: any): any;
    visitFromStmt(ctx: any): any;
    visitTable(ctx: any): any;
    visitInlineTableDefault1(ctx: any): any;
    visitSubquery(ctx: any): any;
    visitSortItem(ctx: any): any;
    visitFromStatement(ctx: any): any;
    visitFromStatementBody(ctx: any): any;
    visitTransformQuerySpecification(ctx: any): any;
    visitRegularQuerySpecification(ctx: any): any;
    visitTransformClause(ctx: any): any;
    visitSelectClause(ctx: any): any;
    visitSetClause(ctx: any): any;
    visitMatchedClause(ctx: any): any;
    visitNotMatchedClause(ctx: any): any;
    visitMatchedAction(ctx: any): any;
    visitNotMatchedAction(ctx: any): any;
    visitAssignmentList(ctx: any): any;
    visitAssignment(ctx: any): any;
    visitWhereClause(ctx: any): any;
    visitHavingClause(ctx: any): any;
    visitHint(ctx: any): any;
    visitHintStatement(ctx: any): any;
    visitFromClause(ctx: any): any;
    visitAggregationClause(ctx: any): any;
    visitGroupingSet(ctx: any): any;
    visitPivotClause(ctx: any): any;
    visitPivotColumn(ctx: any): any;
    visitPivotValue(ctx: any): any;
    visitLateralView(ctx: any): any;
    visitSetQuantifier(ctx: any): any;
    visitRelation(ctx: any): any;
    visitJoinRelation(ctx: any): any;
    visitJoinType(ctx: any): any;
    visitJoinCriteria(ctx: any): any;
    visitSample(ctx: any): any;
    visitSampleByPercentile(ctx: any): any;
    visitSampleByRows(ctx: any): any;
    visitSampleByBucket(ctx: any): any;
    visitSampleByBytes(ctx: any): any;
    visitIdentifierList(ctx: any): any;
    visitIdentifierSeq(ctx: any): any;
    visitOrderedIdentifierList(ctx: any): any;
    visitOrderedIdentifier(ctx: any): any;
    visitIdentifierCommentList(ctx: any): any;
    visitIdentifierComment(ctx: any): any;
    visitTableName(ctx: any): any;
    visitAliasedQuery(ctx: any): any;
    visitAliasedRelation(ctx: any): any;
    visitInlineTableDefault2(ctx: any): any;
    visitTableValuedFunction(ctx: any): any;
    visitInlineTable(ctx: any): any;
    visitFunctionTable(ctx: any): any;
    visitTableAlias(ctx: any): any;
    visitRowFormatSerde(ctx: any): any;
    visitRowFormatDelimited(ctx: any): any;
    visitMultipartIdentifierList(ctx: any): any;
    visitMultipartIdentifier(ctx: any): any;
    visitTableIdentifier(ctx: any): any;
    visitNamedExpression(ctx: any): any;
    visitNamedExpressionSeq(ctx: any): any;
    visitTransformList(ctx: any): any;
    visitIdentityTransform(ctx: any): any;
    visitApplyTransform(ctx: any): any;
    visitTransformArgument(ctx: any): any;
    visitExpression(ctx: any): any;
    visitLogicalNot(ctx: any): any;
    visitPredicated(ctx: any): any;
    visitExists(ctx: any): any;
    visitLogicalBinary(ctx: any): any;
    visitPredicate(ctx: any): any;
    visitValueExpressionDefault(ctx: any): any;
    visitComparison(ctx: any): any;
    visitArithmeticBinary(ctx: any): any;
    visitArithmeticUnary(ctx: any): any;
    visitStruct(ctx: any): any;
    visitDereference(ctx: any): any;
    visitSimpleCase(ctx: any): any;
    visitColumnReference(ctx: any): any;
    visitRowConstructor(ctx: any): any;
    visitLast(ctx: any): any;
    visitStar(ctx: any): any;
    visitOverlay(ctx: any): any;
    visitSubscript(ctx: any): any;
    visitSubqueryExpression(ctx: any): any;
    visitSubstring(ctx: any): any;
    visitCurrentDatetime(ctx: any): any;
    visitCast(ctx: any): any;
    visitConstantDefault(ctx: any): any;
    visitLambda(ctx: any): any;
    visitParenthesizedExpression(ctx: any): any;
    visitExtract(ctx: any): any;
    visitTrim(ctx: any): any;
    visitFunctionCall(ctx: any): any;
    visitSearchedCase(ctx: any): any;
    visitPosition(ctx: any): any;
    visitFirst(ctx: any): any;
    visitNullLiteral(ctx: any): any;
    visitIntervalLiteral(ctx: any): any;
    visitTypeConstructor(ctx: any): any;
    visitNumericLiteral(ctx: any): any;
    visitBooleanLiteral(ctx: any): any;
    visitStringLiteral(ctx: any): any;
    visitComparisonOperator(ctx: any): any;
    visitArithmeticOperator(ctx: any): any;
    visitPredicateOperator(ctx: any): any;
    visitBooleanValue(ctx: any): any;
    visitInterval(ctx: any): any;
    visitErrorCapturingMultiUnitsInterval(ctx: any): any;
    visitMultiUnitsInterval(ctx: any): any;
    visitErrorCapturingUnitToUnitInterval(ctx: any): any;
    visitUnitToUnitInterval(ctx: any): any;
    visitIntervalValue(ctx: any): any;
    visitColPosition(ctx: any): any;
    visitComplexDataType(ctx: any): any;
    visitPrimitiveDataType(ctx: any): any;
    visitQualifiedColTypeWithPositionList(ctx: any): any;
    visitQualifiedColTypeWithPosition(ctx: any): any;
    visitColTypeList(ctx: any): any;
    visitColType(ctx: any): any;
    visitComplexColTypeList(ctx: any): any;
    visitComplexColType(ctx: any): any;
    visitWhenClause(ctx: any): any;
    visitWindowClause(ctx: any): any;
    visitNamedWindow(ctx: any): any;
    visitWindowRef(ctx: any): any;
    visitWindowDef(ctx: any): any;
    visitWindowFrame(ctx: any): any;
    visitFrameBound(ctx: any): any;
    visitQualifiedNameList(ctx: any): any;
    visitFunctionName(ctx: any): any;
    visitQualifiedName(ctx: any): any;
    visitErrorCapturingIdentifier(ctx: any): any;
    visitErrorIdent(ctx: any): any;
    visitRealIdent(ctx: any): any;
    visitIdentifier(ctx: any): any;
    visitUnquotedIdentifier(ctx: any): any;
    visitQuotedIdentifierAlternative(ctx: any): any;
    visitQuotedIdentifier(ctx: any): any;
    visitExponentLiteral(ctx: any): any;
    visitDecimalLiteral(ctx: any): any;
    visitLegacyDecimalLiteral(ctx: any): any;
    visitIntegerLiteral(ctx: any): any;
    visitBigIntLiteral(ctx: any): any;
    visitSmallIntLiteral(ctx: any): any;
    visitTinyIntLiteral(ctx: any): any;
    visitDoubleLiteral(ctx: any): any;
    visitFloatLiteral(ctx: any): any;
    visitBigDecimalLiteral(ctx: any): any;
    visitAlterColumnAction(ctx: any): any;
    visitAnsiNonReserved(ctx: any): any;
    visitStrictNonReserved(ctx: any): any;
    visitNonReserved(ctx: any): any;
}
